<?php
include("connection.php");
if (isset($_POST['add'])) {
    $carrier_name = $_POST['carrier_name'];
    $currentDateTime = date('Y-m-d H:i:s');
    // Prepare the insert statement
    $sql="INSERT INTO carrier (carrier_name,date_time) VALUES ('$carrier_name','$currentDateTime')";
    $result=mysqli_query($conn,$sql);
    if ($result) {
        header("Location: add_carrier.php?success=Origin Added Successfully!!!");
    } else {
        header("Location: add_carrier.php?error=Failed insertion!!!");
    }
    
}

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $itemId = $_POST['item_id'];
    
    if (isset($_POST['activate'])) {
        $status = 1;
    } elseif (isset($_POST['block'])) {
        $status = 0;
    }
    
    $updateQuery = "UPDATE carrier SET status = $status WHERE id = $itemId";
    mysqli_query($conn, $updateQuery);
    
    // Redirect back to the view table page
    header('Location: add_carrier.php');
    exit();
}

?>
